const { Resource } = require('@google-cloud/resource');
const { GCP } = require('../../utils/consts');
const { setProxy } = require('../cloud-manager/config-operations');
const getLogger = require('../../utils/logger');

const logger = getLogger();
const resource = new Resource();

async function getProjects() {
    logger.info('Getting GCP projects');
    await setProxy(GCP);
    const [projects] = await resource.getProjects();

    return projects.map(project => {
        const {
            metadata: {
                name, projectId, projectNumber, lifecycleState, createTime
            }
        } = project;

        return {
            name, projectId, projectNumber, lifecycleState, createTime
        };
    });
}

module.exports = getProjects;
