const { aboutSchema, canUpgradeSchema } = require('../validation/routes-schema-validation');
const { VERSION } = require('../utils/consts');
const canUpgradeSystem = require('../operations/system-operations');

function systemRoutes(fastify) {
    fastify.get('/about', { schema: aboutSchema }, (request, reply) => reply.send({
        version: VERSION,
        'node-version': process.version,
        mode: process.env.ENV_CT_BUILD_MODE,
        build: process.env.ENV_CT_BUILD_TC,
        git: process.env.ENV_CT_BUILD_GIT
    }));

    fastify.get('/canUpgrade', { schema: canUpgradeSchema }, (request, reply) => reply.send(canUpgradeSystem()));
}

module.exports = systemRoutes;
