const LRU = require('lru-cache');
const ms = require('ms');
const getLogger = require('./logger');

const logger = getLogger();

const CACHE = new LRU({
    max: 10000,
    maxAge: ms('5m')
});

function writeToCache(path, data) {
    logger.debug('Writing to cache:', path);

    CACHE.set(path, data);
}

function deleteFromCache(path) {
    logger.debug('Deleting from cache:', path);

    return CACHE.del(path);
}

function getCacheSize() {
    logger.debug('Getting cache size');

    return CACHE.length;
}

module.exports = {
    writeToCache,
    deleteFromCache,
    getCacheSize
};
