const nock = require('nock');
const {
    CREDENTIALS_SERVICE_SERVER_ADDRESS
} = require('../../../../src/utils/consts');
const credentialsIdentity = require('../../resources/cloud-manager/credentials-manager/azure/identity');
const configIdentity = require('../../resources/cloud-manager/config-manager/azure-identity');
const tenants = require('../../resources/cloud-manager/credentials-manager/azure/tenants');
const tenant = require('../../resources/cloud-manager/credentials-manager/azure/tenant');
const escapeForwardSlash = require('../../utils/utils');

const azureCredentialsScope = nock(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}`)
    .persist(true)
    .get('/credentials/azure/identity')
    .reply(() => [200, credentialsIdentity])
    .get('/credentials/azure/tenants')
    .reply(() => [200, tenants])
    .get(escapeForwardSlash('/credentials/azure/tenant/.+'))
    .reply(() => [200, tenant])
    .get('/config/identity')
    .reply(() => [200, configIdentity]);

module.exports = azureCredentialsScope;
