const nock = require('nock');
const {
    CREDENTIALS_SERVICE_SERVER_ADDRESS
} = require('../../../../src/utils/consts');
const credentialsIdentity = require('../../resources/cloud-manager/credentials-manager/zapi/identity');
const configIdentity = require('../../resources/cloud-manager/config-manager/zapi-identity');
const escapeForwardSlash = require('../../utils/utils');

const zapiCredentialsScope = nock(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}`)
    .persist(true)
    .get(escapeForwardSlash('/credentials/zapi/onprem/.+'))
    .query(true)
    .reply(() => [200, credentialsIdentity])
    .get('/config/identity')
    .reply(() => [200, configIdentity]);

module.exports = zapiCredentialsScope;
