const got = require('got');
const { CREDENTIALS_SERVICE_SERVER_ADDRESS } = require('../../../../src/utils/consts');
const CREDENTIALS_IDENTITY = require('../../resources/cloud-manager/credentials-manager/aws/identity');
const CONFIG_IDENTITY = require('../../resources/cloud-manager/config-manager/aws-identity');
require('../../scopes/cloud-manager/aws-credentials-scope');

describe('AWS - Config manager credentials operations', () => {
    test('Getting AWS credentials identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/aws/identity`).json();

        expect(credentialsIdentity).toEqual(CREDENTIALS_IDENTITY);
    });

    test('Getting AWS config identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/config/identity`).json();

        expect(credentialsIdentity).toEqual(CONFIG_IDENTITY);
    });
});
