const got = require('got');
const { CREDENTIALS_SERVICE_SERVER_ADDRESS } = require('../../../../src/utils/consts');
const CREDENTIALS_IDENTITY = require('../../resources/cloud-manager/credentials-manager/azure/identity');
const CONFIG_IDENTITY = require('../../resources/cloud-manager/config-manager/azure-identity');
const TENANTS = require('../../resources/cloud-manager/credentials-manager/azure/tenants');
const TENANT = require('../../resources/cloud-manager/credentials-manager/azure/tenant');
require('../../scopes/cloud-manager/azure-credentials-scope');

describe('AZURE - Config manager credentials operations', () => {
    test('Getting AZURE credentials identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/azure/identity`).json();

        expect(credentialsIdentity).toEqual(CREDENTIALS_IDENTITY);
    });

    test('Getting AZURE credentials accounts configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/azure/tenants`).json();

        expect(credentialsIdentity).toEqual(TENANTS);
    });

    test('Getting AZURE credentials specific account configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/azure/tenant/123`).json();

        expect(credentialsIdentity).toEqual(TENANT);
    });

    test('Getting AZURE config identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/config/identity`).json();

        expect(credentialsIdentity).toEqual(CONFIG_IDENTITY);
    });
});
