const got = require('got');
const { CREDENTIALS_SERVICE_SERVER_ADDRESS } = require('../../../../src/utils/consts');
const CREDENTIALS_IDENTITY = require('../../resources/cloud-manager/credentials-manager/zapi/identity');
const CONFIG_IDENTITY = require('../../resources/cloud-manager/config-manager/zapi-identity');
require('../../scopes/cloud-manager/zapi-credentials-scope');

describe('ZAPI - Config manager credentials operations', () => {
    test('Getting ZAPI credentials identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/credentials/zapi/onprem/123`).json();

        expect(credentialsIdentity).toEqual(CREDENTIALS_IDENTITY);
    });

    test('Getting ZAPI config identity configuration', async () => {
        const credentialsIdentity = await got.get(`${CREDENTIALS_SERVICE_SERVER_ADDRESS}/config/identity`).json();

        expect(credentialsIdentity).toEqual(CONFIG_IDENTITY);
    });
});
