module.exports = {
    async up(db) {
        const statistics = db.collection('statistics');
        await statistics.deleteMany({ 'initStep.status': { $in: ['FAILED'] } });
        await statistics.updateMany({ 'volumesInfo.success': { $gt: 0 } }, { $set: { phase: 'VOLUMES_TIERING_COMPLETE' }, $unset: { initStep: '' } });
        await statistics.updateMany({ 'volumesInfo.success': { $eq: 0 }, 'initStep.status': 'DONE' }, { $set: { phase: 'SETUP_COMPLETE' }, $unset: { initStep: '' } });
    },

    async down(db) {
        const statistics = db.collection('statistics');
        await statistics.updateMany({}, { $set: { initStep: { status: 'DONE' } } });
    }
};
