const randomize = require('randomatic');

function generateSerialNumber() {
    return `916${randomize('0', 17)}`;
}

module.exports = {
    async up(db) {
        const accountsCollection = db.collection('accounts');
        await accountsCollection.updateMany({}, { $unset: { support: '' } });
    },

    async down(db) {
        const accountsCollection = db.collection('accounts');
        const accounts = await accountsCollection.find({}).toArray();
        return Promise.all(accounts.map(account => {
            const serialNumber = generateSerialNumber();
            return accountsCollection.update({ accountId: account.accountId, 'support.status': { $exists: false } }, { $set: { support: { serialNumber } } });
        }));
    }
};
