const Joi = require('@hapi/joi');

const aggregateProperty = Joi.object().keys({
    name: Joi.string().required(),
    idr: Joi.string().valid('ON', 'OFF').allow(null),
    tieringFullnessThreshold: Joi.number().min(0).max(100).allow(null)
}).or('tieringFullnessThreshold', 'idr');

const aggregatesPropertiesSchema = Joi.array().items(aggregateProperty);

module.exports = aggregatesPropertiesSchema;
