const Joi = require('@hapi/joi');

const volumeProperty = Joi.object().keys({
    name: Joi.string().required(),
    svmName: Joi.string().required(),
    tieringPolicy: Joi.string(),
    minimumCoolingDays: Joi.number().min(2).max(63).allow(null)
}).or('tieringPolicy', 'minimumCoolingDays');

const volumePropertiesSchema = Joi.array().items(volumeProperty);

module.exports = volumePropertiesSchema;
