const AWS = require('aws-sdk');
const hyperid = require('hyperid');
const config = require('config');
const { AWS_US_EAST_1_REGION_NAME } = require('../../utils/consts');

const ACCESS_KEY = process.env.AUDIT_ACCESSKEY;
const SECRET_KEY = process.env.AUDIT_SECRETKEY;

const KINESIS_STREAM_NAME = config.get('kinesis.stream-name');

function getKinesis() {
    return new AWS.Kinesis({
        accessKeyId: ACCESS_KEY,
        secretAccessKey: SECRET_KEY,
        region: AWS_US_EAST_1_REGION_NAME
    });
}

async function putRecord(record) {
    const kinesis = getKinesis();
    await kinesis.putRecord({
        Data: JSON.stringify(record),
        PartitionKey: hyperid().uuid,
        StreamName: KINESIS_STREAM_NAME
    }).promise();
}

module.exports = putRecord;
