const {
    CLOUD_MANAGER_CLUSTERS_PATH_PREFIX,
    OCCM_BASE_URL
} = require('../../utils/consts');
const getLogger = require('../../utils/logger/logger');
const { gotInstanceForServices } = require('../../utils/got-utils');
const { createHeaders } = require('../../utils/utils');

const logger = getLogger();

async function removeCluster(clusterId, agentId) {
    logger.info(`remove cluster ${clusterId}, ${agentId}`);
    return gotInstanceForServices.delete(`${OCCM_BASE_URL}${CLOUD_MANAGER_CLUSTERS_PATH_PREFIX}/${clusterId}`, createHeaders({ 'X-Agent-Id': agentId }));
}

module.exports = {
    removeCluster
};
