const { generateRequestId } = require('../utils/utils');
const { getLocalStorage, setRequestId, setUserToken } = require('../utils/async-local-storage');

const REQUEST_ID_HEADER = 'X-NetApp-CT-Request-ID';
function continuationLocalStorageMiddleware(req, res, next) {
    const requestId = generateRequestId();

    res.append(REQUEST_ID_HEADER, requestId);

    getLocalStorage().run(new Map(), () => {
        const token = req.get('Authorization') || req.get('authorization');
        setUserToken(token);
        setRequestId(requestId);
        next();
    });
}

module.exports = continuationLocalStorageMiddleware;
