const { setAccountId } = require('../utils/async-local-storage');
const { findAccount } = require('../operations/multi-tenancy-operation');

async function findAccountAndUpdateContinuationToken(req, res, next) {
    try { // find account for rest api and not for graphql apis
        if (!(req.path === '/graphql' || (req.body && req.body.operationName === 'IntrospectionQuery')
            || (req.path === '/api/statistics/account-exists'))) {
            if (!process.env.IS_SIMULATOR) {
                const accountId = await findAccount(req.get('x-account-id'));
                setAccountId(accountId);
            }
            next();
        } else {
            next();
        }
    } catch (err) {
        res.status(err.status || 500).send({ message: err.message, status: err.status });
    }
}

module.exports = findAccountAndUpdateContinuationToken;
