const mongoose = require('mongoose');
/* const getLogger = require('../utils/logger/logger');

const logger = getLogger(); */

// many to many - we can have many documents for a specific accountId
// key should be accountId and topic
const messagesSchema = new mongoose.Schema({
    accountId: { type: String, required: true },
    topic: { type: String, required: true },
    subscriptionId: { type: String, required: true },
    payload: { type: mongoose.Schema.Types.Mixed, required: false }
}, {
    timestamps: true, // assign createdAt and updatedAt
    toJSON: {
        transform(doc, ret) {
            const toReturn = ret;
            delete toReturn.__v;
            return toReturn;
        }
    }
});

messagesSchema.index({
    subscriptionId: 1
}, { expireAfterSeconds: 600 });

const Message = mongoose.model('Message', messagesSchema);

module.exports = Message;
