const express = require('express');
const mongoose = require('mongoose');
const { API_PATH_HEALTH } = require('../utils/consts');

const healthRouter = express.Router();

healthRouter.get(API_PATH_HEALTH, async (req, res, next) => {
    const { query: { liveness } } = req;
    const connectionState = await mongoose.connection.readyState;
    const isHealthy = connectionState === 1;
    if (liveness) {
        if (isHealthy) {
            res.status(200).json();
        } else {
            next(new Error(`Health check failed connection state is ${connectionState}`));
        }
    } else if (isHealthy) {
        res.status(200).send('tiering_health 1\ntiering_db_connectivity 1');
    } else {
        res.status(200).send('tiering_health 1\ntiering_db_connectivity 0');
    }
});

module.exports = healthRouter;
