const { validateResponse } = require('../../../src/utils/schema-validation');
const { getAgentsSchema } = require('../../../src/joi-schemas/agents-schemas');
const { AGENT_ACTIVE_STATUS } = require('../../../src/utils/consts');

describe('Validate agents schemas', () => {
    test('Successfully validates agents response with empty clientInfraStatus', () => {
        const data = {
            agents: [
                {
                    useDockerInfra: true,
                    agentId: 'aaa',
                    name: 'Joi.string()',
                    provider: 'Joi.string().required()',
                    region: 'Joi.string().required().allow',
                    network: 'ddd',
                    subnet: 'sss',
                    systemId: 'ssss',
                    status: AGENT_ACTIVE_STATUS,
                    clientInfraStatus: {}
                }
            ]
        };
        expect(validateResponse(data, getAgentsSchema)).not.toBeDefined();
    });
});
