const nock = require('nock');

const gcpStorageScope = nock(/https:\/\/.*\.storage.googleapis.com/)
    .put(/.*/)
    .delay(100)
    .reply(function (uri) {
        const { authorization } = this.req.headers;
        if (authorization.includes('Credential=failToPut')) {
            return [403, `<?xml version="1.0" encoding="UTF-8"?>
<Error>
  <Code>AccessDenied</Code>
  <Message>Access Denied</Message>
  <Resource>/mybucket/${uri}</Resource> 
  <RequestId>4442587FB7D0A2F9</RequestId>
</Error>`];
        }
        return [200];
    })
    .get(/.*/)
    .delay(100)
    .reply(function (uri) {
        const { authorization } = this.req.headers;
        if (authorization.includes('Credential=failToGet')) {
            return [403, `<?xml version="1.0" encoding="UTF-8"?>
<Error>
  <Code>AccessDenied</Code>
  <Message>Access Denied</Message>
  <Resource>/mybucket/${uri}</Resource> 
  <RequestId>4442587FB7D0A2F9</RequestId>
</Error>`];
        }

        return [200, 'hello world'];
    })
    .delete(/.*/)
    .delay(100)
    .reply(function (uri) {
        const { authorization } = this.req.headers;
        const key = uri.substr(1);
        if (authorization.includes('Credential=failToDelete')) {
            return [403, `<?xml version="1.0" encoding="UTF-8"?>
<Error>
  <Code>AccessDenied</Code>
  <Message>Access Denied</Message>
  <Resource>/mybucket/${uri}</Resource> 
  <RequestId>4442587FB7D0A2F9</RequestId>
</Error>`];
        }
        return [200, `<?xml version="1.0" encoding="UTF-8"?>
        <DeleteResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/"><Deleted><Key>${decodeURI(key)}</Key></Deleted></DeleteResult>
`];
    });

gcpStorageScope.persist(true);
