const nock = require('nock');
const { IPA_LOOKUP_TOKEN_URL } = require('../../../src/utils/consts');

const ipaOperationsScope = nock(IPA_LOOKUP_TOKEN_URL)
    .post(/.*/)
    .delay(100)
    .reply(function () {
        const { nssusername } = this.req.headers;
        if (nssusername === 'failedNotConnected') {
            return [502, 'timeout'];
        }
        if (nssusername === 'failedToValidate') {
            return [401, 'invalid_grant'];
        }
        return [200, {
            expires_in: 3600,
            token_type: 'Bearer',
            refresh_token: 'eyJhbGciOiJSUzUxMiIsInR5cCI6IkpXVCIsIng1dCI6IkxXR2I4ZldUN2RGaVdKWkZBT2gxUzRqNHQybyIsImtpZCI'
                + '6Im9yYWtleSJ9.eyJzdWIiOm51bGwsIm9yYWNsZS5vYXV0aC51c2VyX29yaWdpbl9pZF90eXBlIjoiTERBUF9VSUQiLCJvcmFjbGUub2F1dG'
                + 'gudXNlcl9vcmlnaW5faWQiOiJTQVBURVNUVVNFUjEiLCJpc3MiOiJ3d3cub3JhY2xlLmV4YW1wbGUuY29tIiwib3JhY2xlLm9hdXRoLnJ0LnR0YyI6'
                + 'InJlc291cmNlX2FjY2Vzc190ayIsIm9yYWNsZS5vYXV0aC5zdmNfcF9uIjoiT0F1dGhTZXJ2aWNlUHJvZmlsZSIsImlhdCI6MTU5ODQzMzY4'
                + 'Niwib3JhY2xlLm9hdXRoLnRrX2NvbnRleHQiOiJyZWZyZXNoX3Rva2VuIiwiZXhwIjoxNTk5MDgxNjg2LCJwcm4iOm51bGwsImp0aSI6IjY4'
                + 'NzYxNjZlLWZjYWUtNGEyYy1iNzcxLTJjZmI5ZjY0YjYxOCIsIm9yYWNsZS5vYXV0aC5zY29wZSI6Ik9udGFwTGljZW5zZS1zdGcubWUiLCJv'
                + 'cmFjbGUub2F1dGguY2xpZW50X29yaWdpbl9pZCI6Ik9udGFwTGljZW5zZS1zdGciLCJ1c2VyLnRlbmFudC5uYW1lIjoiRGVmYXVsdERvbWFp'
                + 'biIsIm9yYWNsZS5vYXV0aC5pZF9kX2lkIjoiMTIzNDU2NzgtMTIzNC0xMjM0LTEyMzQtMTIzNDU2Nzg5MDEyIn0.RYFSwihoez-7KX98lT-a'
                + 'GqJ9jIUryMl3b8KI3gK8m9l7hu6LqRh4tUfevg985wWrzh4UZrM6cJH-HB8h_UyQhbZSDExfeVssxZdsBz8km58y_5qk42vzYIkKAFyk-PXY'
                + 'eW3ij9x2dkJQK3-GHgghtQANzcTxIigtuTzm0sVG9Dk',
            access_token: 'eyJhbGciOiJSUzUxMiIsInR5cCI6IkpXVCIsIng1dCI6IkxXR2I4ZldUN2RGaVdKWkZBT2gxUzRqNHQybyIsImtpZCI6Im9yYWt'
                + 'leSJ9.eyJ1aWQiOiJzYXB0ZXN0dXNlcjEiLCJzdWIiOiJTQVBURVNUVVNFUjEiLCJvcmFjbGUub2F1dGgudXNlcl9vcmlnaW5faWRfdHlwZSI'
                + '6IkxEQVBfVUlEIiwib3JhY2xlLm9hdXRoLnVzZXJfb3JpZ2luX2lkIjoiU0FQVEVTVFVTRVIxIiwiaXNzIjoid3d3Lm9yYWNsZS5leGFtcGxl'
                + 'LmNvbSIsImxhc3RuYW1lIjoiVGVzdEN1c3RvbWVyIiwiZmlyc3RuYW1lIjoiTmV0YXBwIiwib3JhY2xlLm9hdXRoLnN2Y19wX24iOiJPQXV0a'
                + 'FNlcnZpY2VQcm9maWxlIiwiaWF0IjoxNTk4NDMzNjg2LCJvcmFjbGUub2F1dGgucHJuLmlkX3R5cGUiOiJMREFQX1VJRCIsIm9yYWNsZS5vYX'
                + 'V0aC50a19jb250ZXh0IjoicmVzb3VyY2VfYWNjZXNzX3RrIiwiZXhwIjoxNTk4NDM3Mjg2LCJwcm4iOiJTQVBURVNUVVNFUjEiLCJqdGkiOiI'
                + 'xYzQ2ZjhlNy02Y2Y4LTQ5ZWQtOGZkYy1kMzQyZDBiZWUyYWUiLCJvcmFjbGUub2F1dGguc2NvcGUiOiJPbnRhcExpY2Vuc2Utc3RnLm1lIiwi'
                + 'Y29tbW9ubmFtZSI6Ik5ldGFwcCBUZXN0Q3VzdG9tZXIiLCJvcmFjbGUub2F1dGguY2xpZW50X29yaWdpbl9pZCI6Ik9udGFwTGljZW5zZS1zdG'
                + 'ciLCJvcmFjbGUub2F1dGguaWRfZF9pZCI6IjEyMzQ1Njc4LTEyMzQtMTIzNC0xMjM0LTEyMzQ1Njc4OTAxMiIsInVzZXIudGVuYW50Lm5hbWUi'
                + 'OiJEZWZhdWx0RG9tYWluIn0.TKHpbQB1yIDwRIvCmht8sRNHAt5RbP62mdIx-jHM2FIFWZ_WyKjGhkdnzU7Kt52S1BRpfyxP8nakLx1r3KcPtv'
                + '_ZxBpFmr5tzgN9M3gu1QKFP2R06a24AQE4IEoJIeFPIsM7nvNybfbxcCF3OnC0-HbeogF7uJnaqEOTZ2zEoNk'
        }];
    });

ipaOperationsScope.persist(true);

module.exports = ipaOperationsScope;
