const nock = require('nock');
const { IPA_BASE_URL, IPA_SIGN_PATH } = require('../../../src/utils/consts');
const { escapeForwardSlash } = require('../simulator-utils');

const ipaScope = nock(IPA_BASE_URL)
// POST signLicense
    .post(escapeForwardSlash(`${IPA_SIGN_PATH}`))
    .delay(100)
    .reply((uri, requestBody) => {
        const signedLicense = {
            statusResp: requestBody,
            Signature: 'NNYegJSXa6wHxq2jHIVNNQCMN0',
            trackingId: 'OTC01902120808396800800'
        };
        return [200, signedLicense];
    });

ipaScope.persist(true);

module.exports = ipaScope;
