const { sign, decode } = require('jsonwebtoken');
const { trimStart } = require('lodash');
const { getUserPortalId } = require('../../src/utils/async-local-storage');

function escapeForwardSlash(input) {
    return new RegExp(input.replace(/\//g, '\\/'));
}

function signJwtToken(user = 'user1') {
    return `Bearer ${sign({ sub: user }, 'secret', { audience: 'https://api.cloud.netapp.com', issuer: 'https://staging-netapp-cloud-account.auth0.com' })}`;
}

function findUserId(userToken) {
    const { payload } = decode(trimStart(userToken, 'Bearer').trim(), { complete: true });
    const userId = payload.sub;
    return userId.includes('@clients') ? getUserPortalId() || payload.sub : payload.sub;
}

module.exports = {
    escapeForwardSlash, signJwtToken, findUserId
};
