import {AUTH_REFRESH_SSO, AUTH_REFRESH_SSO_FAILED, AUTH_REFRESH_SSO_SUCCESS} from "../actions";

let globalAuth0Token = "";
export const getAuthToken = () => {
    return globalAuth0Token;
};

export default ({dispatch, getState}) => next => action => {
    if (action.type === AUTH_REFRESH_SSO) {
        const loginFail = (err) => {
            console.log("SSO return error");
            console.log(err);
            console.log(`%c current url ${window.location.pathname}`, 'font-weight:bold; color:red');
            dispatch({
                type: AUTH_REFRESH_SSO_FAILED,
                payload: err
            });
            if (err.needLogin) {
                window.auth.loginRedirect({}, {
                    startOnSignup: false,
                    service: "cloud-tiering"
                });
            }
        };

        const loginSuccess = (authResult) => {
            console.log("SSO return success");
            console.log(authResult);
            const loginToken = `Bearer ${authResult.accessToken}`;
            console.log(`%c>>>>>>>>>>>>>>> token:\n${loginToken}\n>>>>>>>>>>>>>>>>>>\ntoken payload:\n${JSON.stringify(authResult.idTokenPayload)}`, 'font-weight:bold; color:blue');
            globalAuth0Token = loginToken;
            dispatch({
                type: AUTH_REFRESH_SSO_SUCCESS,
                payload: authResult
            });
            //Automatic login
            setTimeout(() => {
                dispatch({
                    type: AUTH_REFRESH_SSO,
                });
            }, authResult.expiresIn * 1000 - 10000);
        };
        window.auth.refreshSso().then(loginSuccess, loginFail);
    }
    return next(action);
}

