import React from 'react';
import {NavLink} from 'react-router-dom';
import EnforcementButton from "./EnforcementButton";
import Button from "../widgets/Button";
import {openDialog} from "../dialog/Dialog";
import AddClusterDialog from "../widgets/AddClusterDialog";
import Isvg from "react-inlinesvg";

require('./tabHeader.scss');

const checkIfDashboardActive = (match, location) => {
return location?.pathname?.includes('info') || // cluster info page
    location?.pathname?.includes('clusters') // dashboard info page
}

const openAddClusterModal = (clickElement) => {
    openDialog(<AddClusterDialog />, clickElement.target)
}

export default () => {
    return (
        <header className="tabs-header">
            <div className="logo">
                <Isvg  src={require("./../../assets/svgs/tiering-icon.svg")}/>
                <span className="logo-text">Cloud Tiering</span>
            </div>
            <nav className="nav-tabs">
                <NavLink to="/clusters" activeClassName="is-active" isActive={checkIfDashboardActive}>CLUSTERS
                    DASHBOARD</NavLink>
                <NavLink to="/license" activeClassName="is-active">LICENSING</NavLink>
            </nav>
            <EnforcementButton/>
            <Button variant='secondary' styleClass='add-cluster-button' onClick={openAddClusterModal}>Add cluster</Button>
        </header>
    );
}

