import classNames from 'classnames';
import { CLUSTER_STATUS } from '../../utils/consts';
import Isvg from 'react-inlinesvg';
import ReactPopover from '../reactPopover/ReactPopover';
import React from 'react';
require('./clusterStatus.scss');

export default ({ cluster }) => {
    const { status: { status, message: errorMessage } } = cluster;
    return (
        <div className={classNames('status', { error: !!errorMessage || status === CLUSTER_STATUS.UNKNOWN || status === CLUSTER_STATUS.FAILED})}>
            {status !== CLUSTER_STATUS.ON && <Isvg
                src={require(`./../../assets/svgs/cluster-status-red.svg`)}/>}
            {status === CLUSTER_STATUS.ON && <Isvg
                src={require(`./../../assets/svgs/cluster-status-green.svg`)}/>}
            {status === CLUSTER_STATUS.ON ? 'Active Cluster' : (status === CLUSTER_STATUS.NO_TIERING ? 'Tiering failure' : 'Failed')}
            {status !== CLUSTER_STATUS.ON && <ReactPopover popoverClass="cluster-error-info" trigger="mouseover"
                                                           container={<button className="error-info" type="button"><Isvg src={require('./../../assets/svgs/info-circle-icon.svg')}/></button>}>
                {errorMessage || 'Unknown Error'}
            </ReactPopover>}
        </div>
    );
};
