import React from "react"
import classNames from "classnames"
import InfoPopover from '../reactPopover/InfoPopover';
require("./itemCountWidget.scss");

export default ({singularTitle, pluralTitle, itemCount, filteredItemCount, className, info}) => {
    const classes = classNames(className, "item-count-widget");
    return (
        <div className={classes}>
                <span className="count">
                    {itemCount === filteredItemCount ? itemCount : filteredItemCount + " / " + itemCount}
                </span>
                <span className="title">
                    {itemCount === 1 ? singularTitle : pluralTitle}
                    {info && <InfoPopover wrapperClassName="item-count-info" popoverClassName="item-count-info"
                                          popoverText={info.text} contentStyle={{ width: info.width }}/>}
                </span>
        </div>
    )
}
