import React from 'react'
import Isvg from 'react-inlinesvg';
import {NOTIFICATION_TYPES} from "../../utils/consts";

require('./notificationWidget.scss');

const {SUCCESS, WARNING, ERROR} = NOTIFICATION_TYPES;

// variant is typeof NOTIFICATION_TYPES
const NotificationWidget = ({children, className, variant, onRemove}) => {
    return (<div className={`notification-widget ${className ? className : ''} ${variant?.toLowerCase()}-notification`}>
        <div className="notification-left-color"/>
        <div className="notification-icon">
            {variant === WARNING && <Isvg src={require('../../assets/svgs/notification-warning-icon.svg')}/>}
            {variant === ERROR && <Isvg src={require('../../assets/svgs/notification-error-icon.svg')}/>}
            {variant === SUCCESS && <Isvg src={require('../../assets/svgs/checkmark-circle-icon.svg')}/>}
        </div>
        <div className='notification-content'>{children}</div>
        {onRemove && <button className="remove-notification" onClick={onRemove}><Isvg className="remove-button" src={require('./../../assets/svgs/x.svg')} /></button>}
    </div>)
};

export default NotificationWidget;
