import React, { Fragment } from 'react';
import classNames from 'classnames';
import Isvg from 'react-inlinesvg';
import InfoPopover from '../reactPopover/InfoPopover';

require('./paginationWidget.scss');

export default ({ first, last, total, title, handleNext, handlePrev, firstPage, lastPage, info }) => {
    const showOnlyNumberOfVolumes = (last < first || lastPage < 0);
    const hidePagination = (firstPage && lastPage) || showOnlyNumberOfVolumes;

    return (
        <div className="pagination-widget">
            {!showOnlyNumberOfVolumes && <div className="pagination-title">{`${first === last ? first : `${first} - ${last}`} of ${total} ${title}`}
                {info && <InfoPopover wrapperClassName="item-count-info" popoverClassName="item-count-info"
                                      popoverText={info.text} contentStyle={{ width: info.width }}/>}
            </div>}
            {showOnlyNumberOfVolumes && <div className="pagination-title">{`${total} ${title}`}
                {info && <InfoPopover wrapperClassName="item-count-info" popoverClassName="item-count-info"
                                      popoverText={info.text} contentStyle={{ width: info.width }}/>}
            </div>}
            {!hidePagination && <Fragment>
                <div onClick={() => firstPage ? '' : handlePrev()} className={classNames('pagination-button prev', { disabled: firstPage })}>
                    <Isvg src={require('./../../assets/svgs/pagination-next.svg')}/>
                    Prev
                </div>
                <div onClick={() => lastPage ? '' : handleNext()} className={classNames('pagination-button next', { disabled: lastPage })}>
                    Next
                    <Isvg src={require('./../../assets/svgs/pagination-next.svg')}/>
                </div>
            </Fragment>}
        </div>
    );
};

