import {
    ADD_NOTIFICATION,
    REMOVE_NOTIFICATION,
    UPDATE_INITIAL_QUERY_PARAMS
} from "../actions";
import Immutable from "seamless-immutable";

export const defaultState = () => Immutable({
    accountId: null,
    agentId: null,
    workspaceId: null,
    toasterNotifications: []
});

export default (state = defaultState(), {payload, type}) => {
    switch (type) {
        case UPDATE_INITIAL_QUERY_PARAMS: {
            return Immutable.merge(state, payload)
        }
        case ADD_NOTIFICATION: {
            return state.updateIn(["toasterNotifications"], notifications => notifications.concat([payload]));
        }
        case REMOVE_NOTIFICATION: {
            return state.updateIn(["toasterNotifications"], notifications => notifications.filter(({id}) => id !== payload.id));
        }
        default:
            return state;
    }
}
;

