import {GET_LAZY_CLUSTERS_QUERY} from "../graphql/queries";

export const removeClusterFromCache = (proxy, clusterId, accountId, agentId, workspaceId) => {
    const cachedClusters = proxy.readQuery({
        query: GET_LAZY_CLUSTERS_QUERY,
        variables: {accountId, agentId, workspaceId}
    })

    const filteredClusters = cachedClusters.lazyClusters.filter(cluster => cluster.clusterId !== clusterId)

    proxy.writeQuery({
        query: GET_LAZY_CLUSTERS_QUERY,
        variables: {accountId, agentId, workspaceId},
        data: {lazyClusters: filteredClusters}
    })
}

